### Method

# Gtk Tooltipset_custom

#### Declaration [src]

    void
    gtk_tooltip_set_custom (
      GtkTooltip* tooltip,
      GtkWidget* custom_widget
    )

#### Description [src]

Replaces the widget packed into the tooltip with `custom_widget`. `custom_widget` does not get destroyed when the tooltip goes away. By default a box with a `GtkImage` and `GtkLabel` is embedded in the tooltip, which can be configured using `gtk_tooltip_set_markup()` and gtk_tooltip_set_icon().

#### Parameters

`custom_widget`

  Type: `GtkWidget`

  A `GtkWidget`, or `NULL` to unset the old custom widget.

  The argument can be `NULL`.
  The data is owned by the caller of the method.